#from __future__ import unicode_literals
# -*- coding: utf-8 -*-
from __future__ import division

from PyQt4.QtCore import *
from PyQt4.QtGui import *

from ui.ecran_affichageTexte import Ui_affichageTexte

class EcranAffichageTexte(QDialog):
    """boite de dialogue d'affichage de texte longs"""
    def __init__(self, texte="", parent=None):
        """initialisation de la fenetre - le controle source est le widget a remettre a jour avec le texte a la fermeture"""
        super (EcranAffichageTexte, self).__init__()
        self.createWidgets()
        self.ui.texte.setText(QString.fromUtf8(texte))
        
    def createWidgets(self):
        """construction de l'interface"""
        self.ui = Ui_affichageTexte()
        self.ui.setupUi(self)

    def recupererTexte(self):
        return self.texte

    def done(self, result=1):
        self.texte = str(self.ui.texte.toPlainText().toUtf8())
        super (EcranAffichageTexte, self).done(result)
